Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0041530
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformmajoralways2019-08-02 09:152019-08-22 14:45
Reportersalvador_campanellaView Statuspublic 
Assigned Toalostale 
PrioritynormalResolutionfixedFixed in Version3.0PR19Q4
StatusclosedFix in branchFixed in SCM revisione1744209e156
ProjectionnoneETAnoneTarget Versionpi
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tocaristu
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0041530: When Two or more Property Fields are set to the Pick / Edit Lines windows. UNDEFINED Index: 24, Size: 24 Error appears

DescriptionWhen Two or more Property Fields are set to the Pick / Edit Lines window. UNDEFINED Index: 24, Size: 24 Error appears
Steps To Reproduce- Create a new module
- As System Administrator, Go to Windows Tabs and Fields
- Search by name: RFC/RTV HQL Pick / Edit Lines and select
- Create a new field:
  name: UPC/EAN
  property: product.uPCEAN
- Create another field:
  name: Product_id
  property: product.id
- ant smartbuild (optional)
- Restart Tomcat
- As a normal role, Go to Return from Customer Window.
- Create a new Return from customer
- Click on the button Pick/Edit Lines

UNDEFINED Index: 24, Size: 24 Error appears



TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0113859)
hgbot (developer)
2019-08-07 09:19

Repository: erp/devel/pi
Changeset: e1744209e1562420c99b90dd06110c0c126b32be
Author: Asier Lostalé <asier.lostale <at> openbravo.com>
Date: Wed Aug 07 09:18:02 2019 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/e1744209e1562420c99b90dd06110c0c126b32be [^]

fixed bug 41530: property fields in HQL ds throws IndexOutOfBoundsException

  When retriving values to populata HQL datasources, aliases defined in the HQL
  query are used to match actual property, but column name based on AD column
  postion is used as fallback in case those properties are not defined or they
  don't match any actual property.

  When adding new property fields, it can occur the number of fields to be populated
  by the HQL is bigger than the number of columns in the corresponding AD table,
  this case was not taken into account leading to an IndexOutOfBoundsException.

  As columnName shouldn't be used, now it is not set in this situation. Although
  it is kept for the rest of the cases to preserve backward compatibility.

---
M modules/org.openbravo.service.datasource/src/org/openbravo/service/datasource/HQLDataSourceService.java
---
(0113901)
hgbot (developer)
2019-08-08 11:42

Repository: erp/devel/pi
Changeset: a4ac557d02719875b5a05d38f7ed6fb40bdf8b94
Author: Asier Lostalé <asier.lostale <at> openbravo.com>
Date: Thu Aug 08 11:42:05 2019 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/a4ac557d02719875b5a05d38f7ed6fb40bdf8b94 [^]

related to issue 41530: fixed comparison

---
M modules/org.openbravo.service.datasource/src/org/openbravo/service/datasource/HQLDataSourceService.java
---
(0113918)
caristu (developer)
2019-08-09 08:03

Reviewed + tested OK
(0114209)
hudsonbot (developer)
2019-08-22 14:45

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/ad3efd3bd07c [^]
Maturity status: Test
(0114218)
hudsonbot (developer)
2019-08-22 14:45

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/ad3efd3bd07c [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2019-08-02 09:15 salvador_campanella New Issue
2019-08-02 09:15 salvador_campanella Assigned To => caristu
2019-08-02 09:15 salvador_campanella Modules => Core
2019-08-02 09:15 salvador_campanella Triggers an Emergency Pack => No
2019-08-07 09:10 alostale Assigned To caristu => alostale
2019-08-07 09:11 alostale Review Assigned To => caristu
2019-08-07 09:19 hgbot Checkin
2019-08-07 09:19 hgbot Note Added: 0113859
2019-08-07 09:19 hgbot Status new => resolved
2019-08-07 09:19 hgbot Resolution open => fixed
2019-08-07 09:19 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/e1744209e1562420c99b90dd06110c0c126b32be [^]
2019-08-08 11:42 hgbot Checkin
2019-08-08 11:42 hgbot Note Added: 0113901
2019-08-09 08:03 caristu Note Added: 0113918
2019-08-09 08:03 caristu Status resolved => closed
2019-08-09 08:03 caristu Fixed in Version => 3.0PR19Q4
2019-08-22 14:45 hudsonbot Checkin
2019-08-22 14:45 hudsonbot Note Added: 0114209
2019-08-22 14:45 hudsonbot Checkin
2019-08-22 14:45 hudsonbot Note Added: 0114218


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker